## ThunarDeviceMonitor ThunarDeviceMonitor |

## Functions

ThunarDeviceMonitor * | thunar_device_monitor_get ()
GList * | thunar_device_monitor_get_devices ()
void | thunar_device_monitor_set_hidden ()

## Properties

GStrv | hidden-devices | Read / Write

## Signals

void | device-added | Run Last
void | device-changed | Run Last
void | device-pre-unmount | Run Last
void | device-removed | Run Last

## Object Hierarchy

        GObject
        ╰── ThunarDeviceMonitor

## Description

## Functions

### thunar_device_monitor_get ()

    ThunarDeviceMonitor *
    thunar_device_monitor_get (void);

### thunar_device_monitor_get_devices ()

    GList *
    thunar_device_monitor_get_devices (ThunarDeviceMonitor *monitor);

### thunar_device_monitor_set_hidden ()

    void
    thunar_device_monitor_set_hidden (ThunarDeviceMonitor *monitor,
                                      ThunarDevice *device,
                                      gboolean hidden);

## Property Details

### The `“hidden-devices”` property

      “hidden-devices”           GStrv

Owner: ThunarDeviceMonitor

Flags: Read / Write

## Signal Details

### The `“device-added”` signal

    void
    user_function (ThunarDeviceMonitor *thunardevicemonitor,
                   GObject             *arg1,
                   gpointer             user_data)

Flags: Run Last

### The `“device-changed”` signal

    void
    user_function (ThunarDeviceMonitor *thunardevicemonitor,
                   GObject             *arg1,
                   gpointer             user_data)

Flags: Run Last

### The `“device-pre-unmount”` signal

    void
    user_function (ThunarDeviceMonitor *thunardevicemonitor,
                   GObject             *arg1,
                   GObject             *arg2,
                   gpointer             user_data)

Flags: Run Last

### The `“device-removed”` signal

    void
    user_function (ThunarDeviceMonitor *thunardevicemonitor,
                   GObject             *arg1,
                   gpointer             user_data)

Flags: Run Last